com.pixelmed.display

## Class DescribeGraphicsEnvironment

- java.lang.Object
- - com.pixelmed.display.DescribeGraphicsEnvironment

    public class DescribeGraphicsEnvironment
    extends java.lang.Object

This class describes the graphics environment (number and type and size of displays).

### Constructor Summary

Constructors
Constructor and Description
`DescribeGraphicsEnvironment()`

### Method Summary

Methods
`static java.lang.String` `dumpBufferCapabilities(java.awt.BufferCapabilities bc, java.lang.String label, java.lang.String indent)`
`static java.lang.String` `dumpDisplayMode(java.awt.DisplayMode dm, java.lang.String label, java.lang.String indent)`
`static java.lang.String` `dumpGraphicsConfiguration(java.awt.GraphicsConfiguration gc, java.lang.String label, java.lang.String indent)`
`static java.lang.String` `dumpGraphicsDevice(java.awt.GraphicsDevice gd, java.lang.String label, java.lang.String indent)`
`static java.lang.String` `dumpGraphicsEnvironment(java.awt.GraphicsEnvironment ge, java.lang.String label, java.lang.String indent)`
`static java.lang.String` `dumpImageCapabilities(java.awt.ImageCapabilities ic, java.lang.String label, java.lang.String indent)`
`static void` `main(java.lang.String[] arg)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DescribeGraphicsEnvironment

    public DescribeGraphicsEnvironment()

### Method Detail

#### dumpImageCapabilities

    public static java.lang.String dumpImageCapabilities(java.awt.ImageCapabilities ic,
                                         java.lang.String label,
                                         java.lang.String indent)

#### dumpBufferCapabilities

    public static java.lang.String dumpBufferCapabilities(java.awt.BufferCapabilities bc,
                                          java.lang.String label,
                                          java.lang.String indent)

#### dumpGraphicsConfiguration

    public static java.lang.String dumpGraphicsConfiguration(java.awt.GraphicsConfiguration gc,
                                             java.lang.String label,
                                             java.lang.String indent)

#### dumpDisplayMode

    public static java.lang.String dumpDisplayMode(java.awt.DisplayMode dm,
                                   java.lang.String label,
                                   java.lang.String indent)

#### dumpGraphicsDevice

    public static java.lang.String dumpGraphicsDevice(java.awt.GraphicsDevice gd,
                                      java.lang.String label,
                                      java.lang.String indent)

#### dumpGraphicsEnvironment

    public static java.lang.String dumpGraphicsEnvironment(java.awt.GraphicsEnvironment ge,
                                           java.lang.String label,
                                           java.lang.String indent)

#### main

    public static void main(java.lang.String[] arg)